<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net5</TargetFramework>
    <RazorLangVersion>3.0</RazorLangVersion>
    <Platforms>AnyCPU;x64;x86</Platforms>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="AuthProvider.cs" />
    <Compile Remove="Models\ProjectInfo.cs" />
    <Compile Remove="Pages\AppCase\ShensuReview.razor.cs" />
    <Compile Remove="Pages\Project\AssignPoint.razor.cs" />
    <Compile Remove="Pages\Project\ConfirmProjectPoint.razor.cs" />
    <Compile Remove="Pages\Project\ProjectList.razor.cs" />
    <Compile Remove="Pages\Project\ReadAssignPointMsg.razor.cs" />
    <Compile Remove="Pages\Project\ReadMessage.razor.cs" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="Pages\AppCase\ShensuReview.razor" />
    <Content Remove="Pages\Project\AssignPoint.razor" />
    <Content Remove="Pages\Project\ConfirmProjectPoint.razor" />
    <Content Remove="Pages\Project\ProjectList.razor" />
    <Content Remove="Pages\Project\ReadAssignPointMsg.razor" />
    <Content Remove="Pages\Project\ReadMessage.razor" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AntDesign.Charts" Version="0.2.1" />
    <PackageReference Include="AntDesign.ProLayout" Version="0.1.8" />
    <PackageReference Include="Blazored.LocalStorage" Version="4.1.5" />
    <PackageReference Include="DynamicExpresso.Core" Version="2.9.3" />
    <PackageReference Include="Microsoft.AspNetCore.Authorization" Version="5.0.9" />
    <PackageReference Include="Microsoft.AspNetCore.Authorization.Policy" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Components.Authorization" Version="5.0.9" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="5.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="5.0.0" PrivateAssets="all" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.11">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Options.ConfigurationExtensions" Version="5.0.0" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="5.6.0" />
    <PackageReference Include="System.Net.Http.Json" Version="5.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\wispro.sp.share\wispro.sp.share.csproj" />
    <ProjectReference Include="..\wospro.sp.entity\wispro.sp.entity.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="wwwroot\data\activities.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\data\advanced.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\data\basic.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\data\current_user.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\data\fake_chart_data.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\data\fake_list.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\data\menu.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\data\notice.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\data\notices.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\pro_icon.svg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Pages\Project\" />
  </ItemGroup>

</Project>